Bug 500310 - RFE: Request alternate cman network communication option (broadcast instead of multicast)
RFE: Request alternate cman network communication option (broadcast instead ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
rawhide
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 04:35 EDT by Steven Dake
Modified: 2016-04-26 12:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 492808
Environment:
Last Closed: 2009-09-28 10:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2009-05-12 04:35:44 EDT
+++ This bug was initially created as a clone of Bug #492808 +++

Many customers are interested in using RHCS but face a stumbling block with their network equipment and/or network standards with regard to multicast.  Submitting this RFE to provide an alternate means for cman's "heartbeats."

--- Additional comment from sdake@redhat.com on 2009-03-31 16:29:59 EDT ---

5.4 flags set to add "broadcast" option instead of multicast option.  Requires small change to cman as well as openais.

--- Additional comment from pmyers@redhat.com on 2009-03-31 16:40:00 EDT ---

(In reply to comment #1)
> 5.4 flags set to add "broadcast" option instead of multicast option.  Requires
> small change to cman as well as openais.  

Impact to openais/cman are fairly minor, but what about impact to higher level tools like Conga?  Will there be ripple effect to other components?

--- Additional comment from sdake@redhat.com on 2009-03-31 16:57:50 EDT ---

chrissie are you ok with this change in cman config parameters?

--- Additional comment from sdake@redhat.com on 2009-03-31 17:02:43 EDT ---

in response to #2 if the field wants this feature supported in conga, they can file a separate configuration rfe bugzilla for conga.

regards
-steve
Comment 1 Steven Dake 2009-05-12 04:37:48 EDT
This patch requires work for corosync.  Also Honzaf please work with Chrissie to work up a patch for cman to allow setting of this feature.  It may involve some configuration options - Fabio is the person to talk to there.
Comment 2 Steven Dake 2009-05-21 12:10:25 EDT
Honzaf,

can you take this bug back over for corosync trunk.  You can probably forward port the whitetank patch mostly unchanged.

Regards
-steve
Comment 3 Jan Friesse 2009-05-27 07:59:07 EDT
Chrissie made that patch, so I'm reassign bug.
Comment 4 Christine Caulfield 2009-06-01 11:13:15 EDT
The code is now in the latest openais, corosync and cman.
Comment 5 Steven Dake 2009-09-28 10:40:31 EDT
added in f11, f10.

Note You need to log in before you can comment on or make changes to this bug.